#!/bin/sh

# Init file for Intranet Chat server daemon

BINDIR=:BINDIR:
ICHATUSER=:ICHATUSER:

case "$1" in
	start)
		echo -n " ichatsrvd"
		cd $BINDIR
		su $ICHATUSER -c "./ichatsrvd"
		;;
	stop)
		echo -n " ichatsrvd"
		killall ichatsrvd
		echo
		;;
	restart)
		$0 stop
		$0 start
		;;
	*)
		echo "usage: `basename $0` {start|stop|restart}"
		;;
esac
